################################################################
# Makefile for building google perf tools from a source distribution
#
# Steps to build google:
#  % cd $RDI_ROOT/src
#  % rdi make top
#  % cd $RDI_ROOT/src/ext/7ZIP
#  % $RDI_ROOT/prep/rdi/vivado/bin/vivado -csh
#    > unsetenv RDI_PROG
#    > rdi make -j1 -f rdi-build.mk 7ZIP-install 
#    > exit
#  % rdi make -j1 libs release
#
################################################################
include $(RDI_MAKEROOT)/top.mk
include $(RDI_MAKEROOT)/platform.mk

# Modify as needed when extracting Google
HERE = $(RDI_SRCROOT)/products/installer/7zip/7zip_4.65/p7zip_4.65


7ZIP_VERSION := 7zip_4.65
LIBNAME_BASE = Inst_7z
DIST_DIR := $(HERE)
INST_7z_LIB_LOC=$(DIST_DIR)/CPP/7zip/Bundles/Format7zFree
INST_CLIENT_7z_LOC=$(DIST_DIR)/CPP/7zip/UI/Client7z
7ZIP_DIST := $(DIST_DIR)/../src/$(7ZIP_VERSION).tar.gz
7ZIP_BUILD_DIR = $(HERE)/build/$(RDI_PLATFORM)
7ZIP_SRC_DIR := $(INST_7z_LIB_LOC)
ifeq ($(debug),yes)
 RDI_7ZIP_LIB_DIR := $(HERE)/../rdi-lib/$(RDI_PLATFORM).g
else
 RDI_7ZIP_LIB_DIR := $(HERE)/../rdi-lib/$(RDI_PLATFORM).o
endif

ifeq ($(RDI_OS),gnu/linux)
 ifeq ($(RDI_PLATFORM), lnx64)
  MY_XIL_MISC += -m64 #-fpermissive -fPIC  
 endif
 MY_XIL_MISC += -fpermissive -fPIC 
 #MY_XIL_MISC += O=.

_objs :
	cd $(7ZIP_SRC_DIR); $(MAKE) -f makefile "MY_XIL_CFLAGS=$(MY_XIL_MISC)" objs

 _7ZIP-libs:	 
	cd $(7ZIP_SRC_DIR); $(MAKE) -f makefile "MY_XIL_CFLAGS=$(MY_XIL_MISC)" PROG=libInst_7z.so
	

 _7ZIP-install:
	cp -pf $(7ZIP_SRC_DIR)/libInst_7z.so $(RDI_7ZIP_LIB_DIR)
	cp -pf $(INST_CLIENT_7z_LOC)/libInst_Client7z.so $(RDI_7ZIP_LIB_DIR)	


 _7ZIP-Client-libs: 
	cd $(INST_CLIENT_7z_LOC); $(MAKE) -f makefile "MY_XIL_CFLAGS=$(MY_XIL_MISC)" PROG=libInst_Client7z.so


else
 $(error 7zip  are compiled for linux)
endif

7ZIP-clean:	
	cd $(INST_CLIENT_7z_LOC); $(MAKE) -f makefile PROG=libInst_Client7z.so clean
	cd $(7ZIP_SRC_DIR); $(MAKE) -f makefile PROG=libInst_7z.so clean
	#rm -rf $(7ZIP_BUILD_DIR)

7ZIP-configure: _7ZIP-configure

7ZIP-libs: _7ZIP-libs _7ZIP-Client-libs

7ZIP-install: 7ZIP-libs _7ZIP-install

